Enrich

Enrich company

Match a company with our database and enrich it with additional information.

Webhook result: Documentation

POST
/v2/enrich/company

Query Parameters

apiToken?|

Header Parameters

x-api-token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.ocean.io/v2/enrich/company" \  -H "Content-Type: application/json" \  -d '{}'
{
  "domain": "dundermifflinpaper.com",
  "countries": [
    "us",
    "ca"
  ],
  "primaryCountry": "us",
  "companySize": "0-1",
  "industryCategories": [
    "Consumer Electronics",
    "Hardware"
  ],
  "industries": [
    "Audio",
    "Electronics"
  ],
  "linkedinIndustry": "Computer Software",
  "ecommerce": true,
  "keywords": [
    "paper",
    "premium copy paper"
  ],
  "employeeCountOcean": 57,
  "employeeCountLinkedin": 70,
  "revenue": "0-1M",
  "yearFounded": 1999,
  "description": "Dunder Mifflin Paper Company, Inc. is a fictional paper and office supplies wholesale company featured in the American television series The Office.",
  "emails": [
    "[email protected]",
    "[email protected]"
  ],
  "phones": [
    {
      "country": "us",
      "number": "+1 212 456 7890",
      "primary": true
    },
    {
      "country": "ca",
      "number": "+1 250 555 0199"
    }
  ],
  "logo": "https://cdn2.ocean.io/companies-logos-v1/domain.com/020539e284d9318e805301b672ad23047c30818a.png",
  "technologies": [
    "Accesso",
    "Adcash",
    "Atlassian Jira"
  ],
  "technologyCategories": [
    "Security",
    "Analytics",
    "Blogs"
  ],
  "mobileApps": [
    {
      "link": "https://www.my.app.com/",
      "name": "My awesome app"
    }
  ],
  "webTraffic": {
    "visits": 0,
    "pageViews": 0,
    "pagesPerVisit": 0,
    "bounceRate": 0
  },
  "medias": {
    "linkedin": {
      "url": "string",
      "handle": "string",
      "name": "string",
      "specialties": [
        "artificial intelligence",
        "machine learning"
      ]
    },
    "twitter": {
      "url": "string",
      "handle": "string",
      "name": "string",
      "specialties": [
        "artificial intelligence",
        "machine learning"
      ]
    },
    "youtube": {
      "url": "string",
      "handle": "string",
      "name": "string",
      "specialties": [
        "artificial intelligence",
        "machine learning"
      ]
    },
    "facebook": {
      "url": "string",
      "handle": "string",
      "name": "string",
      "specialties": [
        "artificial intelligence",
        "machine learning"
      ]
    },
    "xing": {
      "url": "string",
      "handle": "string",
      "name": "string",
      "specialties": [
        "artificial intelligence",
        "machine learning"
      ]
    },
    "tiktok": {
      "url": "string",
      "handle": "string",
      "name": "string",
      "specialties": [
        "artificial intelligence",
        "machine learning"
      ]
    },
    "instagram": {
      "url": "string",
      "handle": "string",
      "name": "string",
      "specialties": [
        "artificial intelligence",
        "machine learning"
      ]
    }
  },
  "name": "Dunder Mifflin Paper Company",
  "legalName": "Dunder Mifflin Paper Company, Inc.",
  "locations": [
    {
      "primary": true,
      "latitude": 43.6471,
      "longitude": -79.3971,
      "country": "us",
      "locality": "Scranton",
      "region": "Lackawanna County",
      "postalCode": "18505",
      "streetAddress": "Scranton Business Park, 1725 Slough Ave Suit 200",
      "state": "pa",
      "regionCode": "PA"
    }
  ],
  "departmentSizes": [
    {
      "department": "Accounting and Finance",
      "size": 10
    },
    {
      "department": "Sales",
      "size": 15
    }
  ],
  "rootUrl": "https://dundermifflinpaper.com/",
  "faxes": [
    {
      "country": "us",
      "number": "5709045026",
      "primary": true
    }
  ],
  "impressum": {
    "company": "Dunder Mifflin Paper Company, Inc.",
    "address": "Scranton Business Park, 1725 Slough Ave Suit 200, Scranton, USA",
    "email": "[email protected]",
    "phone": "+35123456789",
    "fax": "+35123456790",
    "vat": "123456",
    "url": "https://dundermifflinpaper.com/impressum",
    "people": [
      {
        "name": "Michael Scott",
        "position": "Regional Manager"
      }
    ]
  },
  "fundingRound": {
    "date": "string",
    "type": "Seed",
    "moneyRaisedInUsd": 0,
    "cbUrl": "string"
  },
  "redirectedFrom": [
    "pol.dk",
    "pressen.nu"
  ],
  "updatedAt": "2022-08-22T12:09:37Z",
  "headcountGrowth": {
    "threeMonths": 0,
    "threeMonthsPercentage": 0,
    "sixMonths": 0,
    "sixMonthsPercentage": 0,
    "twelveMonths": 0,
    "twelveMonthsPercentage": 0
  },
  "headcountGrowthPerDepartment": [
    {
      "department": "Accounting and Finance",
      "growth": {
        "sixMonths": 10,
        "sixMonthsPercentage": 0.2,
        "threeMonths": 5,
        "threeMonthsPercentage": 0.1,
        "twelveMonths": 15,
        "twelveMonthsPercentage": 0.3
      }
    }
  ]
}
{
  "detail": "Data gathering process has started. Please try again later."
}
{
  "detail": "Conflicting API tokens provided in query parameters and headers"
}
{
  "detail": "Insufficient credits"
}
{
  "detail": "API token should be provided in headers or query parameters"
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}